import { httpApp } from "@/plugins/axiosApp";

/** 顶级机构分页查询 */
export function getRootOrgList(params: {
  code?: string;
  name?: string;
  enable?: boolean;
  pageNo?: number;
  pageSize?: number;
}) {
  return httpApp.post("/api/ess/root/org/page", params);
}

/** 更新顶级机构 */
export function updateRootOrg(params: {
  // code: string;
  // name: string;
  // enable: boolean;
  domainName: string;
}) {
  return httpApp.post("/api/ess/root/org/update", params);
}

/** 查询顶级机构所有属性 */
export function getRootOrgSettings(orgId: string) {
  return httpApp.post(`/api/ess/root/org/property/all/${orgId}`);
}
