import { YYYYMMDDHHmmss } from "@/constants/constants";
import moment from "moment";

export default {
  /** 返回YYYY-MM-DD HH:mm:ss */
  datetimeFilter(epochTime: number) {
    return moment(epochTime).format(YYYYMMDDHHmmss);
  },
  booleanEnableDisableFilter(val: boolean) {
    if (typeof val !== "boolean") return "无";
    return { true: "启用", false: "禁用" }[val + ""];
  },
};
